html {
    height: 100%;
    touch-action: manipulation;
}
body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    font-family: "Noto Sans JP", sans-serif;
}
ul {
    margin: 0;
    padding: 0;
    list-style: none;
}
a, label {
    -webkit-tap-highlight-color: transparent;
}
iframe {
    width: 100%;
    height: 100%;
    border: none;
}

.header {
    position: relative;
}
.swiper {
    height: 50vw;
    max-height: 300px;
}
.swiper-slide {
    display: flex!important;
    justify-content: center;
    align-items: center;
}
.swiper-slide img {
    width: 100%;
}
.swiper-slide-active img,
.swiper-slide-duplicate-active img,
.swiper-slide-prev img {
    animation: zoomUp 10s linear 0s normal both;
}
@keyframes zoomUp {
    0% {
      transform: scale(1);
    }
    100% {
      transform: scale(1.15);
    }
}
.swiper::after {
    content: '';
    display: block;
    position: absolute;
    bottom: -1px;
    z-index: 1;
    width: 100%;
    height: 20vw;
    background-color: #fff;
    animation: wave 7s ease-in-out infinite;
}
@keyframes wave {
    0%, 100% {
        clip-path: polygon(100% 100%, 0% 100% , 0.00% 88.89%, 5.00% 88.28%, 10.00% 86.60%, 15.00% 84.20%, 20.00% 81.62%, 25.00% 79.40%, 30.00% 78.05%, 35.00% 77.85%, 40.00% 78.84%, 45.00% 80.81%, 50.00% 83.33%, 55.00% 85.86%, 60.00% 87.83%, 65.00% 88.82%, 70.00% 88.62%, 75.00% 87.26%, 80.00% 85.05%, 85.00% 82.46%, 90.00% 80.07%, 95.00% 78.38%, 100.00% 77.78%);
    }
    50% {
        clip-path: polygon(100% 100%, 0% 100% , 0.00% 77.78%, 5.00% 78.38%, 10.00% 80.07%, 15.00% 82.46%, 20.00% 85.05%, 25.00% 87.26%, 30.00% 88.62%, 35.00% 88.82%, 40.00% 87.83%, 45.00% 85.86%, 50.00% 83.33%, 55.00% 80.81%, 60.00% 78.84%, 65.00% 77.85%, 70.00% 78.05%, 75.00% 79.40%, 80.00% 81.62%, 85.00% 84.20%, 90.00% 86.60%, 95.00% 88.28%, 100.00% 88.89%);
    }
}
.header-title {
    position: absolute;
    top: calc(50% - 120px);
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    color: #fff;
    font-weight: 700;
    text-align: center;
}
.header-title h1 {
    margin: 0 0 -5px;
    font-size: 1.8rem;
    text-shadow: 0 0 2px #000;
}
.header-title span {
    font-size: .8rem;
    text-shadow: 0 0 2px #000;
}
.header-note {
    margin: 20px auto 0;
    padding: 0 15px;
    width: fit-content;
    font-size: .8rem;
}
.header-note .red {
    color: #f00;
}
.header-note .notify {
    margin-top: 10px;
    padding: 5px 8px 8px;
    background-color: #ff0;
    line-height: 1.2;
}

.main-wrapper {
    display: flex;
    justify-content: center;
}
.main {
    display: flex;
    position: relative;
    margin-top: 30px;
    width: 100%;
    max-width: 1080px;
    height: 220vw;
}
.main:has(#navi2:checked) {
    height: calc(220vw + 120px);
}
.navi-radio {
    display: none;
}
.navi-label {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    overflow: hidden;
    position: relative;
    width: 50%;
    height: 65px;
    background-color: #ececec;
    font-size: 1.2rem;
    line-height: 1.2;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}
.navi-label img {
    opacity: 0.6;
    position: absolute;
    top: 10px;
    height: 130%;
}
.navi-label img:first-child {
    opacity: 1;
    filter: brightness(0) invert(1);
}
.navi2 + .navi-label img {
    top: 8px;
}
.navi-label span {
    z-index: 1;
    text-shadow: 0 0 3px #fff, 0 0 3px #fff, 0 0 3px #fff, 0 0 3px #fff, 0 0 3px #fff;
}
.page {
    visibility: hidden;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: calc(100% - 65px);
}
.navi1 + .navi-label {
    border-top-right-radius: 10px;
}
.navi1:checked + .navi-label {
    background-color: #aff;
    font-weight: 700;
}
.navi2 + .navi-label {
    border-top-left-radius: 10px;
}
.navi2:checked + .navi-label {
    background-color: #fca;
    font-weight: 700;
}
.navi1:checked ~ .page1,
.navi2:checked ~ .page2 {
    visibility: visible;
    opacity: 1;
    animation: fadeIn 0.5s;
}
.navi1:checked ~ .page1 {
    background-color: #aff;
}
.navi2:checked ~ .page2 {
    background-color: #fca;
}
@keyframes fadeIn {
    from {
        visibility: hidden;
        opacity: 0;
    }
    to {
        visibility: visible;
        opacity: 1;
    }
}
.room-info {
    margin: 15px 15px 0;
    padding: 2px;
    background-color: #fff;
    border-radius: 8px;
    font-size: .8rem;
}
.iframe-calendar-wrapper {
    overflow: hidden;
    position: relative;
    margin: 15px;
    padding: 5px;
    width: calc(100% - 40px);
    height: calc(100% - 40px);
    border-radius: 8px;
    background-color: #fff;
}
.page2 .iframe-calendar-wrapper {
    height: calc(100% - 120px);
}
.loading {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.loader-wrap {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 80px;
    height: 80px;
    transform: translate(-50%, -50%);
    border-radius: 10px;
    background-color: #333;
}
.loader {
    width: 55px;
    height: 55px;
    border-radius: 50%;
    border-top: 2px solid rgba(255, 255, 255, 0.2);
    border-right: 2px solid rgba(255, 255, 255, 0.2);
    border-bottom: 2px solid rgba(255, 255, 255, 0.2);
    border-left: 2px solid #fff;
    -webkit-animation: circle 1s infinite linear;
    animation: circle 1s infinite linear;
}
@keyframes circle {
    100% {
        transform: rotate(360deg);
    }
}

.footer {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f4fbfe;
    font-size: .7rem;
}
.footer img {
    width: 80px;
    height: 80px;
    margin-right: 30px;
    border: 1px solid #ddd;
    border-radius: 5px;
}
.footer p {
    margin: 20px 0;
}

@media (min-width: 506px) {

    .main {
        height: 175vw;
    }
    .main:has(#navi2:checked) {
        height: calc(175vw + 120px);
    }
    .page2 .iframe-calendar-wrapper {
        height: calc(100% - 85px);
    }
}

@media (min-width: 958px) {

    .main {
        overflow: hidden;
        margin: 30px 50px 50px;
        height: 150vw;
        border-bottom-right-radius: 10px;
        border-bottom-left-radius: 10px;
    }
    .navi1 + .navi-label {
        border-top-left-radius: 10px;
    }
    .navi2 + .navi-label {
        border-top-right-radius: 10px;
    }
    .room-info {
        display: flex;
        justify-content: center;
    }
    .room-info li {
        margin-right: 10px;
    }
}

@media (min-width: 1080px) {

    html {
        transform: scale(1.2);
        transform-origin: left top;
        width: calc(100% / 1.2);
        height: calc(100% / 1.2);
    }
    .main {
        height: 920px;
    }

}
